Bug 1781863 - Singularity doesn't run with kernel 5.4.2
Summary: Singularity doesn't run with kernel 5.4.2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-12-10 18:06 UTC by Jeremiah Savage
Modified: 2020-05-15 15:58 UTC (History)
21 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-21 18:06:08 UTC
Type: Bug


Attachments (Terms of Use)
dmesg for failing kernel 5.4.2 (45.83 KB, text/plain)
2019-12-10 18:06 UTC, Jeremiah Savage
no flags Details
dmesg for working kernel 5.3.15 (70.04 KB, text/plain)
2019-12-10 18:07 UTC, Jeremiah Savage
no flags Details

Description Jeremiah Savage 2019-12-10 18:06:52 UTC
Created attachment 1643705 [details]
dmesg for failing kernel 5.4.2

1. Please describe the problem:

With kernel-5.3.15, I can run singularity:
```
Linux localhost.localdomain 5.3.15-300.fc31.x86_64 #1 SMP Thu Dec 5 15:04:01 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
[jeremiah@localhost ~]$ singularity run ./alpine_3.9.sif 
[jeremiah@localhost ~]$ echo $?
0
```

But with kernel-5.4.2, I get an error:
```
[jeremiah@localhost ~]$ uname -a
Linux localhost.localdomain 5.4.2-300.fc31.x86_64 #1 SMP Fri Dec 6 13:07:05 UTC 2019 x86_64 x86_64 x86_64 GNU/Linux
[jeremiah@localhost ~]$ singularity run ./alpine_3.9.sif 
FATAL:   container creation failed: mount /proc/self/fd/3->/var/singularity/mnt/session/rootfs error: can't mount image /proc/self/fd/3: kernel reported a bad superblock for squashfs image partition, possible causes are that your kernel doesn't support the compression algorithm or the image is corrupted
```

2. What is the Version-Release number of the kernel:

5.4.2-300


3. Did it work previously in Fedora? If so, what kernel version did the issue
   *first* appear?  Old kernels are available for download at
   https://koji.fedoraproject.org/koji/packageinfo?packageID=8 :

5.4.2-300


4. Can you reproduce this issue? If so, please provide the steps to reproduce
   the issue below:

$ singularity pull --arch amd64 library://library/default/alpine:3.9
$ singularity run ./alpine_3.9.sif



6. Are you running any modules that not shipped with directly Fedora's kernel?:

no

7. Please attach the kernel logs. You can get the complete kernel log
   for a boot with ``journalctl --no-hostname -k > dmesg.txt``. If the
   issue occurred on a previous boot, use the journalctl ``-b`` flag.

Comment 1 Jeremiah Savage 2019-12-10 18:07:39 UTC
Created attachment 1643706 [details]
dmesg for working kernel 5.3.15

Comment 2 Laura Abbott 2019-12-10 18:54:09 UTC
I'm guessing it's https://lore.kernel.org/lkml/20191130181548.GA28459@gentoo-tp.home/ which still hasn't been fixed.

Comment 3 Jeremiah Savage 2020-01-21 18:04:58 UTC
I just tested with the most recent 5.4 kernel, and this bug appears to be fixed, so I think it can be closed.

```
[jeremiah@localhost ~]$ uname -a
Linux localhost.localdomain 5.4.12-200.fc31.x86_64 #1 SMP Tue Jan 14 20:07:04 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux
[jeremiah@localhost ~]$ singularity run ./alpine_3.9.sif 
[jeremiah@localhost ~]$ echo $?
0
```

Comment 4 Alberto Chiusole 2020-02-08 00:12:38 UTC
I'm still experiencing the same issue with kernels 5.4 on my f30, in particular 5.4.12-100.fc30.x86_64 and 5.4.17-100.fc30.x86_64 (the latest available).

Using an older 5.2 kernel I haven't seen any issues so far; the kernel where this is working is 5.2.18-200.fc30.x86_64.

Comment 5 Pavel Zakharov 2020-05-15 15:58:39 UTC
I have the same on problem on F30 using kernel 5.6.8-100.fc30.x86_64.


Note You need to log in before you can comment on or make changes to this bug.